# flopc::SubsetRef< nbr > Class Template Reference
[Internal (private) interface.]

Internal representation of a "set". More...

`#include <MP_set.hpp>`

Inheritance diagram for flopc::SubsetRef< nbr >:
[legend]
Collaboration diagram for flopc::SubsetRef< nbr >:
[legend]

List of all members.

## Public Member Functions
| SubsetRef (MP_subset< nbr > *s, const MP_index_exp &i1, const MP_index_exp &i2, const MP_index_exp &i3, const MP_index_exp &i4, const MP_index_exp &i5)
void | display () const
| operator MP_domain () const
virtual MP_domain | getDomain (MP_set *s) const
SubsetRef & | such_that (const MP_boolean &b)
int | evaluate () const
MP_index * | getIndex () const
## Public Attributes
MP_boolean | B
MP_subset< nbr > * | S
MP_index_exp | I1
MP_index_exp | I2
MP_index_exp | I3
MP_index_exp | I4
MP_index_exp | I5

## Detailed Description

### template<int nbr>
class flopc::SubsetRef< nbr >

Internal representation of a "set".

Note:
  FOR INTERNAL USE: This is not normally used directly by the calling code.
  this is often implicitly created with many expressions which may subset a set.

Definition at line 294 of file MP_set.hpp.

## Constructor & Destructor Documentation

template<int nbr>

flopc::SubsetRef< nbr >::SubsetRef | ( | MP_subset< nbr > * | s,
|  | const MP_index_exp & | i1,
|  | const MP_index_exp & | i2,
|  | const MP_index_exp & | i3,
|  | const MP_index_exp & | i4,
|  | const MP_index_exp & | i5 |
| ) |  |  | `[inline]`

Definition at line 296 of file MP_set.hpp.

## Member Function Documentation

template<int nbr>

void flopc::SubsetRef< nbr >::display | ( |  | ) | const`[inline, virtual]`

Reimplemented from flopc::MP_index_base.

Definition at line 303 of file MP_set.hpp.

template<int nbr>

flopc::SubsetRef< nbr >::operator MP_domain | ( |  | ) | const`[inline]`

Definition at line 309 of file MP_set.hpp.

template<int nbr>

virtual MP_domain flopc::SubsetRef< nbr >::getDomain | ( | MP_set * | s | ) | const`[inline, virtual]`

Reimplemented from flopc::SUBSETREF.

Definition at line 323 of file MP_set.hpp.

template<int nbr>

SubsetRef& flopc::SubsetRef< nbr >::such_that | ( | const MP_boolean & | b | ) | `[inline]`

Definition at line 330 of file MP_set.hpp.

template<int nbr>

int flopc::SubsetRef< nbr >::evaluate | ( |  | ) | const`[inline, virtual]`

Reimplemented from flopc::SUBSETREF.

Definition at line 335 of file MP_set.hpp.

template<int nbr>

MP_index* flopc::SubsetRef< nbr >::getIndex | ( |  | ) | const`[inline, virtual]`

Reimplemented from flopc::SUBSETREF.

Definition at line 350 of file MP_set.hpp.

## Member Data Documentation

template<int nbr>

MP_boolean flopc::SubsetRef< nbr >::B

Definition at line 353 of file MP_set.hpp.

template<int nbr>

MP_subset<nbr>* flopc::SubsetRef< nbr >::S

Definition at line 354 of file MP_set.hpp.

template<int nbr>

MP_index_exp flopc::SubsetRef< nbr >::I1

Definition at line 355 of file MP_set.hpp.

template<int nbr>

MP_index_exp flopc::SubsetRef< nbr >::I2

Definition at line 355 of file MP_set.hpp.

template<int nbr>

MP_index_exp flopc::SubsetRef< nbr >::I3

Definition at line 355 of file MP_set.hpp.

template<int nbr>

MP_index_exp flopc::SubsetRef< nbr >::I4

Definition at line 355 of file MP_set.hpp.

template<int nbr>

MP_index_exp flopc::SubsetRef< nbr >::I5

Definition at line 355 of file MP_set.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Smi-0.93.1/FlopCpp/src/MP_set.hpp